resourceType: Encounter
meta:
  profile:
  - https://fhir.eds.aphp.fr/StructureDefinition/EncounterEDSVisite
id: 1
# = visit_occurrence.visit_type_source_concept_id
class:
  code: IMP
  display: inpatient encounter
  system: http://terminology.hl7.org/CodeSystem/v3-ActCode
# observation.value_as_string
identifier:
- code: nda
  value: 9081723123
  system: https://fhir.eds.aphp.fr/CodeSystem/encounter-identifier
# visit_occurrence.provider_id
participant:
- individual:
    reference: Practitioner/123
    display: Bob L'eponge
# visit_occurrence.visit_status_source_concept_id
status: finished
# visit_occurrence.person_id
subject:
  reference: Patient/1
# when part-of, then look into visit_detail
# else look into visit_occurrence
type:
- coding:
  #EDS specific
  - code: VISIT
    display: Visite
    system: https://fhir.eds.aphp.fr/CodeSystem/encounter-type
  # standard or equivalent code
  - code: '416800000'
    display: Inpatient
    system: http://snomed.info/sct
# start - end
lenght:
    value: 314.0
# visite_occurrence.care_site_id
serviceProvider:
    reference: Organization/1
    display: Hopital Ambroise Pare
period:
# visite_occurrence.visit_start_datetime
    start: "2018-02-20T07:42:00+01:00"
# visite_occurrence.visit_end_datetime
    end: "2018-12-31T11:10:00+01:00"
hospitalization:
# visit_occurrence.admitted_from_source_concept_id
  admitSource:
  - coding:
    - code: VISIT
      display: Urgence
      system: https://fhir.eds.aphp.fr/CodeSystem/encounter-type
# visit_occurrence.discharge_to_source_concept_id
  dischargeDisposition:
  - coding:
    - code: VISIT
      display: Domicile
      system: https://fhir.eds.aphp.fr/CodeSystem/encounter-type
